import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AndroidData } from '../common/android-data.model';
import { IOSData } from '../common/ios-data.model';
import { Shape } from '../common/shape.enum';
export declare class NativeShadowDirective implements OnInit, OnChanges {
    private el;
    shadow: string | AndroidData | IOSData;
    elevation?: number | string;
    shape?: Shape;
    bgcolor?: string;
    cornerRadius?: number | string;
    translationZ?: number | string;
    maskToBounds?: boolean;
    shadowColor?: string;
    shadowOffset?: number | string;
    shadowOpacity?: number | string;
    shadowRadius?: number | string;
    private loaded;
    private initialized;
    constructor(el: ElementRef);
    ngOnInit(): void;
    onLoaded(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private applyShadow();
    private initializeCommonData();
    private initializeAndroidData();
    private initializeIOSData();
    private loadFromAndroidData(data);
    private loadFromIOSData(data);
}
